close all
clear all

% GET IV DATA
voltages = [0.702, 0.728, 0.745, 0.757, 0.768];
currents = [-6.907755279, -6.214608098, -5.80914299, -5.521460918, -5.298317367];

% FIT LINE OF BEST FIT
p = polyfit(voltages, currents, 1);
f = polyval(p, voltages);

% PLOT
figure
scatter(voltages, currents, 200, 'r', '+', 'LineWidth', 3)
hold on
plot(voltages, f, '-', 'LineWidth', 2, 'Color', 'k')
xlabel('Voltage (V)', 'FontSize', 40) % set x axis label font size
ylabel('ln(I)', 'FontSize', 40) % set y axis label font size
set(gca, 'FontSize', 24) % set axes font size
pbaspect([1 0.75 1]) % set aspect ratio of plot box

dim = [.35 .3 .3 .3];
str = 'y = 24.5x - 24.08';
annotation('textbox',dim,'String',str,'FitBoxToText','on', 'FontSize', 20, 'LineStyle', 'none');


% SAVE DATA
path_to_save = 'C:\Users\Christopher\OneDrive - University College London\ipes_cdt\phd_project\projects\soa_driving\v2_jlt_paper_files\rdr\i_v_plot\';
csvwrite(strcat(path_to_save,'currents.csv'), currents);
csvwrite(strcat(path_to_save,'voltages.csv'), voltages);






